{
  description = "Thorn's Haskell Repo";
  inputs = {
    #my-sources.url = "git+ssh://gitea@git.p7.co.nz/thornAvery/flake-inputs.git";
    #nixpkgs.follows = "my-sources/nixpkgs";
    #flake-utils.follows = "my-sources/flake-utils";
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    cellular-automata = {
      url = "git+ssh://gitea@git.p7.co.nz/thornAvery/cellular-automata.git";
      flake = false;
    };
    krobotkin = {
      url = "git+ssh://gitea@git.p7.co.nz/thornAvery/krobotkin.git";
      flake = false;
    };
    rf-hakyll = {
      url = "git+ssh://gitea@git.p7.co.nz/thornAvery/rf-hakyll.git";
      flake = false;
    };
    universe = {
      url = "git+ssh://gitea@git.p7.co.nz/thornAvery/universe.git";
      flake = false;
    };
    hello-world = {
      url = "git+ssh://gitea@git.p7.co.nz/thornAvery/hello-world.git";
      flake = false;
    };
  };
  outputs = { self, ... }@inputs:
  inputs.flake-utils.lib.eachSystem
    [ "x86_64-linux" ]
    (system:
      let pkgs = import inputs.nixpkgs {
        overlays = [ ((import ./overlay.nix) inputs) ];
        inherit system;
      };
      in rec {
        packages = inputs.flake-utils.lib.flattenTree
          ((import ./utils.nix) { inherit pkgs; inherit inputs; });
        hydraJobs = builtins.listToAttrs
        (map (s: { name = s; value = {
            ${system} = packages.${s};
          }; })
          (builtins.attrNames packages));
      }) // {
        overlay = (import ./overlay.nix) inputs;
      };
}
